KDE 4.9 PyKDE API Reference

- KDE's Python API

# QtMarbleConfigDialog Class Reference

`from PyKDE4.marble import *`

Inherits: QDialog → QWidget → QObject
Namespace: Marble

## Detailed Description

## Signals
| clearPersistentCacheClicked ()
| clearVolatileCacheClicked ()
| settingsChanged ()
## Methods
| __init__ (self, Marble.MarbleWidget marbleWidget, QWidget parent=0)
bool | UTC (self)
Marble.AngleUnit | angleUnit (self)
bool | animateTargetVoyage (self)
Marble.MapQuality | animationQuality (self)
int | chosenTimezone (self)
bool | customTimezone (self)
int | dragLocation (self)
QString | externalMapEditor (self)
Marble.GraphicsSystem | graphicsSystem (self)
| initializeCustomTimezone (self)
int | labelLocalization (self)
bool | lastSessionTime (self)
QFont | mapFont (self)
QLocale::MeasurementSystem | measurementSystem (self)
int | onStartup (self)
int | persistentTileCacheLimit (self)
bool | proxyAuth (self)
QString | proxyPass (self)
int | proxyPort (self)
bool | proxyType (self)
QString | proxyUrl (self)
QString | proxyUser (self)
| readSettings (self)
Marble.MapQuality | stillQuality (self)
bool | systemTime (self)
bool | systemTimezone (self)
int | volatileTileCacheLimit (self)
| writeSettings (self)

## Signal Documentation

clearPersistentCacheClicked | ( |  | ) |

The user clicked on the button to clear persistent tile cache.

Signal syntax:
  `QObject.connect(source, SIGNAL("clearPersistentCacheClicked()"), target_slot)`

clearVolatileCacheClicked | ( |  | ) |

The user clicked on the button to clear volatile tile cache.

Signal syntax:
  `QObject.connect(source, SIGNAL("clearVolatileCacheClicked()"), target_slot)`

settingsChanged | ( |  | ) |

This signal is emitted when when the loaded settings were changed. Either by the user or by loading them initially from disk.

Signal syntax:
  `QObject.connect(source, SIGNAL("settingsChanged()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleWidget | marbleWidget,
|  | QWidget | parent=0
| ) |  |  |

bool UTC | ( |  | self ) |

Read the value of 'Time/UTC' key from settings

Marble.AngleUnit angleUnit | ( |  | self ) |

bool animateTargetVoyage | ( |  | self ) |

Marble.MapQuality animationQuality | ( |  | self ) |

int chosenTimezone | ( |  | self ) |

Read the value of 'Time/chosenTimezone' key from settings

bool customTimezone | ( |  | self ) |

Read the value of 'Time/customTimezone' key from settings

int dragLocation | ( |  | self ) |

QString externalMapEditor | ( |  | self ) |

Marble.GraphicsSystem graphicsSystem | ( |  | self ) |

initializeCustomTimezone | ( |  | self ) |

int labelLocalization | ( |  | self ) |

bool lastSessionTime | ( |  | self ) |

Read the value of 'Time/lastSessionTime' key from settings

QFont mapFont | ( |  | self ) |

QLocale::MeasurementSystem measurementSystem | ( |  | self ) |

int onStartup | ( |  | self ) |

int persistentTileCacheLimit | ( |  | self ) |

bool proxyAuth | ( |  | self ) |

QString proxyPass | ( |  | self ) |

int proxyPort | ( |  | self ) |

bool proxyType | ( |  | self ) |

QString proxyUrl | ( |  | self ) |

QString proxyUser | ( |  | self ) |

readSettings | ( |  | self ) |

Read settings and update interface.

Marble.MapQuality stillQuality | ( |  | self ) |

bool systemTime | ( |  | self ) |

Read the value of 'Time/systemTime' key from settings

bool systemTimezone | ( |  | self ) |

Read the value of 'Time/systemTimezone' key from settings

int volatileTileCacheLimit | ( |  | self ) |

writeSettings | ( |  | self ) |

Write settings to disk.